ruby-carrierwave_1.3.1-2_all.deb


Advertisement

Description

ruby-carrierwave - Ruby file upload library

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename ruby-carrierwave_1.3.1-2_all.deb
Package name ruby-carrierwave
Package version 1.3.1
Package release 2
Package architecture all
Package type deb
Category ruby
Homepage https://github.com/carrierwaveuploader/carrierwave
License -
Maintainer Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Download size 46.42 KB
Installed size 217.00 KB
Upload files in your Ruby applications, map them to a range of ORMs, store them
on different backends.
This library provides a simple and extremely flexible way to upload files from
Ruby applications. It works well with Rack based web applications, such as Ruby
on Rails.

Alternatives

Package Version Architecture Repository
ruby-carrierwave_1.3.1-2_all.deb 1.3.1 all Debian Main
ruby-carrierwave - - -

Requires

Name Value
ruby -
ruby-activemodel -
ruby-activesupport -
ruby-interpreter -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package ruby-carrierwave_1.3.1-2_all.deb
Source Package ruby-carrierwave

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-carrierwave deb package:
    # sudo apt-get install ruby-carrierwave

Files

Path
/usr/lib/ruby/vendor_ruby/carrierwave.rb
/usr/lib/ruby/vendor_ruby/carrierwave/error.rb
/usr/lib/ruby/vendor_ruby/carrierwave/mount.rb
/usr/lib/ruby/vendor_ruby/carrierwave/mounter.rb
/usr/lib/ruby/vendor_ruby/carrierwave/processing.rb
/usr/lib/ruby/vendor_ruby/carrierwave/sanitized_file.rb
/usr/lib/ruby/vendor_ruby/carrierwave/storage.rb
/usr/lib/ruby/vendor_ruby/carrierwave/uploader.rb
/usr/lib/ruby/vendor_ruby/carrierwave/utilities.rb
/usr/lib/ruby/vendor_ruby/carrierwave/version.rb
/usr/lib/ruby/vendor_ruby/carrierwave/compatibility/paperclip.rb
/usr/lib/ruby/vendor_ruby/carrierwave/locale/en.yml
/usr/lib/ruby/vendor_ruby/carrierwave/orm/activerecord.rb
/usr/lib/ruby/vendor_ruby/carrierwave/processing/mini_magick.rb
/usr/lib/ruby/vendor_ruby/carrierwave/processing/rmagick.rb
/usr/lib/ruby/vendor_ruby/carrierwave/storage/abstract.rb
/usr/lib/ruby/vendor_ruby/carrierwave/storage/file.rb
/usr/lib/ruby/vendor_ruby/carrierwave/storage/fog.rb
/usr/lib/ruby/vendor_ruby/carrierwave/test/matchers.rb
/usr/lib/ruby/vendor_ruby/carrierwave/uploader/cache.rb
/usr/lib/ruby/vendor_ruby/carrierwave/uploader/callbacks.rb
/usr/lib/ruby/vendor_ruby/carrierwave/uploader/configuration.rb
/usr/lib/ruby/vendor_ruby/carrierwave/uploader/content_type_blacklist.rb
/usr/lib/ruby/vendor_ruby/carrierwave/uploader/content_type_whitelist.rb
/usr/lib/ruby/vendor_ruby/carrierwave/uploader/default_url.rb
/usr/lib/ruby/vendor_ruby/carrierwave/uploader/download.rb
/usr/lib/ruby/vendor_ruby/carrierwave/uploader/extension_blacklist.rb
/usr/lib/ruby/vendor_ruby/carrierwave/uploader/extension_whitelist.rb
/usr/lib/ruby/vendor_ruby/carrierwave/uploader/file_size.rb
/usr/lib/ruby/vendor_ruby/carrierwave/uploader/mountable.rb
/usr/lib/ruby/vendor_ruby/carrierwave/uploader/processing.rb
/usr/lib/ruby/vendor_ruby/carrierwave/uploader/proxy.rb
/usr/lib/ruby/vendor_ruby/carrierwave/uploader/remove.rb
/usr/lib/ruby/vendor_ruby/carrierwave/uploader/serialization.rb
/usr/lib/ruby/vendor_ruby/carrierwave/uploader/store.rb
/usr/lib/ruby/vendor_ruby/carrierwave/uploader/url.rb
/usr/lib/ruby/vendor_ruby/carrierwave/uploader/versions.rb
/usr/lib/ruby/vendor_ruby/carrierwave/utilities/uri.rb
/usr/lib/ruby/vendor_ruby/carrierwave/validations/active_model.rb
/usr/lib/ruby/vendor_ruby/generators/uploader_generator.rb
/usr/lib/ruby/vendor_ruby/generators/templates/uploader.rb
/usr/share/doc/ruby-carrierwave/README.md.gz
/usr/share/doc/ruby-carrierwave/changelog.Debian.gz
/usr/share/doc/ruby-carrierwave/changelog.gz
/usr/share/doc/ruby-carrierwave/copyright
/usr/share/rubygems-integration/all/specifications/carrierwave-1.3.1.gemspec

Changelog

2019-03-24 - Utkarsh Gupta <guptautkarsh2102@gmail.com>
ruby-carrierwave (1.3.1-2) unstable; urgency=medium
* Team upload
* Update dependencies in d/control (Closes: #924830, #830542)
* Remove unnecessary dependencies
2019-01-26 - suman <suman@protonmail.com>
ruby-carrierwave (1.3.1-1) unstable; urgency=medium
* Team upload
* New upstream version 1.3.1
* Update copyright
* Add metadata
2018-08-26 - Pirate Praveen <praveen@debian.org>
ruby-carrierwave (1.2.3-1) unstable; urgency=medium
* New upstream version 1.2.3
* Update vcs and homepage
* Bump Standards-Version to 4.2.0 (no changes needed)
2018-03-15 - Pirate Praveen <praveen@debian.org>
ruby-carrierwave (1.2.2-1) unstable; urgency=medium
* New upstream version 1.2.2
2018-02-27 - Pirate Praveen <praveen@debian.org>
ruby-carrierwave (1.1.0-3) unstable; urgency=medium
* Tighten dependency on ruby-fog
2018-02-23 - Pirate Praveen <praveen@debian.org>
ruby-carrierwave (1.1.0-2) unstable; urgency=medium
* Reupload to unstable
* Bump debhelper compat to 11 and standards version to 4.1.3
2017-07-24 - Pirate Praveen <praveen@debian.org>
ruby-carrierwave (1.1.0-1) experimental; urgency=medium
[ Lucas Kanashiro ]
* debian/control: add Testsuite field (Closes: #830068)
[ Pirate Praveen ]
* New upstream release
2016-08-27 - Sruthi Chandran <srud@disroot.org>
ruby-carrierwave (0.11.2-1) experimental; urgency=medium
* Team upload
* New upstream release
2016-11-29 - Pirate Praveen <praveen@debian.org>
ruby-carrierwave (0.10.0+gh-4) unstable; urgency=high
* Disable tests, --initialize-insecure does not work with mariadb
(Closes: #841543)
2016-11-06 - Pirate Praveen <praveen@debian.org>
ruby-carrierwave (0.10.0+gh-3) unstable; urgency=medium
* Use mysqld --initialize instead of mysql_install_db (Closes: #841543)
(Thanks to Scott Leggett for figuring out the correct option sequence)

See Also

Package Description
ruby-case-transform_0.2-1_all.deb Transform values to different cases
ruby-cassiopee_0.1.13-1_all.deb Library to index strings and to search with exact or approximate match
ruby-cat_0.2.1-1_all.deb Create Ruby objects in a sandbox
ruby-celluloid-essentials_0.20.5-1_all.deb internally used Celluloid tools and superstructural dependencies
ruby-celluloid-extras_0.20.5-1_all.deb Celluloid expansion, testing, and example classes
ruby-celluloid-fsm_0.20.5-1_all.deb Celluloid Finite State Machines
ruby-celluloid-io_0.16.2-5_all.deb Ruby library providing an event-driven IO system for Celluloid actors
ruby-celluloid-pool_0.20.5-1_all.deb actor pool based on Celluloid
ruby-celluloid-supervision_0.20.5-1_all.deb Supervision support for Celluloid
ruby-celluloid_0.16.0-5_all.deb actor-based concurrent object framework for ruby
ruby-certificate-authority_0.2.0~434c15cd-1_all.deb tool to manage the core functions outlined in RFC-3280 for PKI
ruby-cfpropertylist_2.2.8-1_all.deb Manipulate binary and XML property lists as defined by apple
ruby-character-set_1.1.2-1_amd64.deb Build, read, write and compare sets of Unicode codepoints
ruby-charlock-holmes_0.7.6-1_amd64.deb Ruby character encoding detection library
ruby-chef-config_13.8.7-4_all.deb Chef configuration library
Advertisement
Advertisement